Page MenuHomeFreeBSD

Linux ARM v2 4/9
Needs ReviewPublic

Authored by emaste on Sep 20 2016, 2:02 PM.

Details

Summary

Linux ARM : Add generated files by 'make sysent' in sys/arm/linux directory

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

soutade_gmail.com retitled this revision from to Linux ARM v2 4/9.
soutade_gmail.com updated this object.
soutade_gmail.com edited the test plan for this revision. (Show Details)
soutade_gmail.com set the repository for this revision to rS FreeBSD src repository.
imp accepted this revision.Sep 20 2016, 3:39 PM
imp added a reviewer: imp.

If this is just generated code, it doesn't need a code review :)

This revision is now accepted and ready to land.Sep 20 2016, 3:39 PM
soutade_gmail.com edited edge metadata.

Remove old Linux syscalls (not presents in Linux calls.S)

This revision now requires review to proceed.Oct 4 2016, 8:44 AM
soutade_gmail.com edited edge metadata.

Remove obsolete syscalls. Add linux_send() and linux_recv()

emaste added a subscriber: emaste.Jun 17 2017, 9:08 PM
This revision is now accepted and ready to land.Jun 17 2017, 9:08 PM
emaste added a comment.May 6 2019, 5:21 PM
In D7973#164964, @imp wrote:

If this is just generated code, it doesn't need a code review :)

The Makefile isn't

sys/arm/linux/Makefile
13–17

What is the story behind these mvs?

emaste commandeered this revision.May 6 2019, 5:32 PM
emaste updated this revision to Diff 57092.
emaste added a reviewer: soutade_gmail.com.

Reformat arm linux syscalls.master per current style

Equivalent to rS339958 for sys/kern/syscalls.master.

Sponsored by: The FreeBSD Foundation

This revision now requires review to proceed.May 6 2019, 5:33 PM
emaste added inline comments.May 6 2019, 5:35 PM
sys/arm/linux/syscalls.master
3–25 ↗(On Diff #57092)

will also remove this boilerplate as has been done in arm64 linuxulator syscalls.master.

emaste added a comment.May 6 2019, 7:49 PM

Oops, updated this review with the diff intended for D7972.

emaste updated this revision to Diff 57131.May 7 2019, 1:25 PM

Upload rebased and updated diff - add arm linuxulator syscalls.conf and Makefile, from arm64